
	String.prototype.startWith = function(s) 
	{
		if (s == null || s == "" || this.length == 0 || s.length > this.length)
		{
			return false;
		}
			
		if (this.substr(0, s.length) == s)
		{
			return true;
		}
		else
		{
			return false;
		}
		
		return true;
	};
	
	
	String.prototype.endWith=function(str)
	{
		  if(str==null||str==""||this.length==0||str.length>this.length)
		  {
			  return false;
		  }
		  if(this.substring(this.length-str.length)==str)
		  {
			  return true;
		  }
		  else
		  {
			  return false;
		  }
		  return true;
	};
	
	
	function setCheckBoxValue(id,value)
	{
		
		document.getElementById(id).checked=value;
	}

	function getCheckBoxValue(id)
	{
		return $("#"+id).is(':checked');
	}
	function getElementId(element)
	{
		
		return element.getAttribute("id");
	}
	
	function getRatioValue(name)
	{
		return $("input[name='"+name+"']:checked").val();
	}
	
	function setIphoneSwitch(id,status)
	{
		if(status.toLowerCase() == "off")
		{
			 var btn = $("#"+id).find("span");
			 $("#"+id).addClass("iphone-switch-btn-off");
             btn.addClass('off'); 
             btn.html("OFF");
             btn.attr("change",  "ON");
             $("#"+id).find("input").val("0");
		}
		else if(status.toLowerCase() == "on")
		{
			 var btn = $("#"+id).find("span");
			 $("#"+id).removeClass("iphone-switch-btn-off");
             btn.removeClass('off'); 
             btn.html("ON");
             btn.attr("change", "OFF");
             $("#"+id).find("input").val("1");
		}
	}
	
	function getIphoneSwitch(id)
	{
		 var btn = $("#"+id).find("span");
        return btn.html();
	}
	
	
	function setRadioChecked(id)
	{
		
		document.getElementById(id).checked =true;
	}
	
	function setSelectValue(id,value)
	{
		//warning_message("id="+id+" value="+value.length);
		var objSelect = document.getElementById(id);
		for(var i=0;i<objSelect.options.length;i++) 
		{  
            if(objSelect.options[i].value == value) 
            {  
                objSelect.options[i].selected = true;  
                return;  
            }  
           
        }  
		//alert("no value");
	}
	
	function getSelectValue(id)
	{
		return $("#"+id).val();
	}
	
	function setLabelText(id,text)
	{
		$("#"+id).text(text);
	}
	function setTextValue(id,text)
	{
		$("#"+id).val(text);
	}
	function getTextValue(id)
	{
		return $("#"+id).val();
	}
	
	function getDisplayValue(id)
	{
		var value = document.getElementById(id).style.display;
		console.log(id+" DiaplayValue="+value);
		return value;
	}
	
	function setDisplay(id,value)
	{
		$("#"+id).css("display", value);
	}
	
	/******************************************************** 
	* 方  法  名  称 :setDisable<br>
	* 功  能  简  述 :设置元素是否被禁用<br>
	* 日期时间: 2016年4月1日  <br>
	* 修改日期           修改人	      修改内容<br>
	* @param id
	* @param value<br>
	* @author 李胜凯<br>
	*********************************************************/
	function setDisable(id,value)
	{
		document.getElementById(id).disabled=value;
	}
	
	function setEnable(id)
	{
		$("#"+id).removeAttr("disabled");
	}
	
	function nbspReplaceSpace(string)
	{
		if(string == null)
		{
			return "";
		}
		var str = string;
		while(str.indexOf(" ") != -1)
		{
			str = str.replace(" ","&nbsp;");
		}
		return str;
	}
	
	
	function setVisibilityHidden(id,value)
	{
		if(value == true)
		{
			document.getElementById(id).style.visibility="hidden";
		}
		else if(value == false)
		{
			document.getElementById(id).style.visibility="visible";
		}
		
	}
	
	/******************************************************** 
	 * 方  法  名  称 :checkName<br>
	 * 功  能  简  述 : 检查名字是否合法,1-16位的字母、数字<br>
	 * 设  计  日  期 : 2015-11-3<br>
	 * 修改日期           修改人	      修改内容<br>
	 * @author 李胜凯<br>
	 *********************************************************/		 
	function checkName(name)
	{
		var NameRegExp=new RegExp("^[A-Za-z0-9 _-]{1,20}$"); 
		if(NameRegExp.test(name)) // 正则表达式检查数据格式
		{
			return true;
		}
		return false;
		
	}
	
	/******************************************************** 
	 * 方  法  名  称 :checkPassword<br>
	 * 功  能  简  述 : 检查密码是否合法,4-16位的字母、数字<br>
	 * 设  计  日  期 : 2015-11-3<br>
	 * 修改日期           修改人	      修改内容<br>
	 * @author 李胜凯<br>
	 *********************************************************/		 
	function checkPassword(pwd)
	{
		var pwdRegExp=new RegExp("^[A-Za-z0-9]{4,16}$"); 
		if(pwdRegExp.test(pwd)) // 正则表达式检查数据格式
		{
			return true;
		}
		return false;
		
	}
	
	/*********************************************************
	 * 方法名称:isIP4addr<br>
	 * 功能简述:<br>
	 * 作   者:李胜凯<br>
	 * 日期时间:2014-5-27<br>
	 * 参   数:<br>
	 * 返  回  值:无<br>
	 ********************************************************/
	function isIP4addr(ip4addr)
	{
		var ip4addrParts = ip4addr.split(".");
		if(ip4addrParts.length == 4)
		{
			for(var i = 0; i < ip4addrParts.length;i++)
			{
				try
				{
					if((parseInt(ip4addrParts[i]) >= 0)&&((parseInt(ip4addrParts[i]) <= 255)))
					{
						continue;
					}
					else
					{
						return false;
					}
				}
				catch(e)
				{
					return false;
				}
				
			}
			return true;
			
		}
		return false;
	}
	
	function warning_message(message)
	{
		Console.log("Warning:"+message);
		dhtmlx.message({
			text:"<img src=\"css/images/alert_small.png\" alt=\"Warning\" /> <br/><br/> "+message,
			expire:5000
		});
	}
	function complete_message(message)
	{
		Console.log("Info:"+message);
		dhtmlx.message({
			text:"<img src=\"css/images/right.png\" alt=\"Info\"  style=\"width:40px\"/><br/><br/> "+message,
			expire:5000
		});
	}
	function error_message(message)
	{
		Console.log("Error:"+message);
		dhtmlx.message({
			text:"<img src=\"css/images/error.png\" alt=\"Error\" style=\"width:40px\"/><br/><br/> "+message,
			expire:15000
		});
	}
	
	
	
	/**
	 * [isSegmentIPAddress 判断两个IP地址是否在同一个网段]
	 * @param  {[String]}  addr1 [地址一]
	 * @param  {[String]}  addr2 [地址二]
	 * @param  {[String]}  mask  [子网掩码]
	 * @return {Boolean}         [true or false]
	 */
	function isSegmentIPAddress (addr1,addr2,mask){
	    if(!addr1 || !addr2 || !mask){
	        console.log("各参数不能为空");
	        return false;
	    }
	    var 
	    res1 = [],
	    res2 = [];
	    addr1 = addr1.split(".");
	    addr2 = addr2.split(".");
	    mask  = mask.split(".");
	    for(var i = 0,ilen = addr1.length; i < ilen ; i += 1){
	        res1.push(parseInt(addr1[i]) & parseInt(mask[i]));
	        res2.push(parseInt(addr2[i]) & parseInt(mask[i]));
	    }
	    if(res1.join(".") == res2.join(".")){
	        console.log("在同一个网段");
	        return true;
	    }else{
	        console.log("不在同一个网段");
	        return false;
	    }
	}
